<?php

Class DbSettings {
    
    // ########################################
    // DEFINE DATABASE SETTINGS HERE
    public $db_host = "localhost";
    public $db_name = "simpleleague";
    public $db_user = "root";
    public $db_pass = "";
    // ######################################## 
    
}

Class Settings {
    
    // ########################################
    // DEFINE LABELS HERE
    // (will be displayed in HTML tables)
    public $label_player = "Player";
    public $label_season = "Season";
    public $label_team = "Team";
    public $label_round = "Round";
    public $label_vs = "vs.";
    public $label_nogame = "no game";
    public $label_points = "Points";
    public $label_victorypoints = "Victory Points";
    public $label_victorypoints_difference = "Diff.";
    public $label_point_separator = ":";
    public $label_result = "Result";
    public $label_number_of_games = "No. of games";
    public $label_win = "Win";
    public $label_loss = "Loss";
    public $label_draw = "Draw";
    public $label_etc = "etc.";
    public $label_home = "Home";
    public $label_home_short = "H";
    public $label_guest = "Guest";
    public $label_guest_short = "G";
    public $label_crosstab_wins = " wins";
    // ########################################
    
    // ########################################
    // OTHER SETTINGS
    // Properties for HTML tables, will be put into the <table> tag
    public $html_table_properties = "border='1'";
    // additional properties for "schedule per season" table:
    public $html_schedule_table_properties = "style='width:250px'";
    
    // properties for headline row in each table
    public $html_table_headline_properties = "style='font-weight:bold;'";
    
    // row height for "all games from all seasons" table
    public $html_allresults_cell_height = "30";
    
    // CSS background colors for HTML tables
    public $html_bgcolor_win = "lightgreen";
    public $html_bgcolor_loss = "red";
    public $html_bgcolor_draw = "yellow";
    public $html_bgcolor_crosstab_headline = "lightgrey";
    public $html_bgcolor_allresults_empty = "lightgrey";
    
    // header and footer (will be displayed above and below each table)
    public $html_header = "<br>";
    public $html_footer = "<br>";
    
    // ########################################
    // "Generated by" text (will be displayed in HTML comment above each table)
    public $generated_by = "Table generated by SimpleLeague (http://christianspecht.de/simpleleague/)";
    // ########################################
}


// ################################################################################
// Optional: custom callback function for escaping double-mustache variables.
// Defaults to htmlspecialchars like Mustache.php's default behaviour
// (see https://github.com/bobthecow/mustache.php/wiki#escape)
// You can change it here if you need anything special
// ################################################################################
function custom_escape($value) {
    return htmlspecialchars($value);
}

?>
